#include <bits/stdc++.h>
using namespace std;

int main(){
	int n;
	cin>>n;
	vector<int>a(n);
	vector<int>b(n);
	for (int i=0;i<n;i++){
		if(i%2==0){
			a[i]=i+1;
		}
		else a[i]=2*n-i;
	}
	for (int i=0;i<n;i++)cout<<a[i]<<" ";
	for (int i=1;i<=n;i++){
		if (i%2==1){
			b[i-1]=i+1;
		}
		else b[i-1]=2*n-i+2;
	}
	for (int i=0;i<n;i++)cout<<b[i]<<" ";
	
}